Bug 31761 - kernel-smp-2.4.2-0.1.25 cannot register WINE binary formats.
Summary: kernel-smp-2.4.2-0.1.25 cannot register WINE binary formats.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Viro
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-14 04:02 UTC by Need Real Name
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-14 18:18:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-03-14 04:02:17 UTC
Apparently, some functionality was left out (taken out?) of this build of
the kernel:


Mar 13 22:47:28 sirius windows: /etc/rc5.d/S99windows:
/proc/sys/fs/binfmt_misc/register: No such file or directory
Mar 13 22:47:28 sirius windows: /etc/rc5.d/S99windows:
/proc/sys/fs/binfmt_misc/register: No such file or directory


If I switch back to kernel-smp-2.4.2-0.1.19, the problem does not manifest
itself.  If I switch back to kernel-smp-2.4.2-0.1.25, the problem comes
right back.

I really like the ability to launch (supported) Windows binaries without
explicitly invoking WINE on the command line--it gives me a nice
slack-jawed "Wow!" feeling...

Comment 1 Arjan van de Ven 2001-03-14 09:13:35 UTC
Did you install the new modutils package as well?
That is needed for the binfmt_misc cleanups that went into 0.1.25.
(binfmt_misc is the part of the kernel that allows this neat trick)

Comment 2 Need Real Name 2001-03-14 16:45:05 UTC
I'd installed modutils-2.4.2-5, which is still the latest I can see on Rawhide.

Comment 3 Bill Nottingham 2001-03-14 16:46:28 UTC
Did you rebuild the kernel at all with binfmt_misc non-modular?

Comment 4 Need Real Name 2001-03-14 17:20:04 UTC
Nope.  I used the kernel as installed.

The binfmt_misc.o module is present in /lib/modules/2.4.2-0.1.25smp/kernel/fs,
and actually does seem to be loaded.  However, it doesn't seem to be providing
anything in /proc/sys/fs.  Removing, then reinstalling, the module has no effect.

Comment 5 Bill Nottingham 2001-03-14 17:39:59 UTC
The mount command fails with:

[root@nostromo kudzu]#  /bin/mount -t binfmt_misc none /proc/sys/fs/binfmt_misc
mount: mount point /proc/sys/fs/binfmt_misc does not exist

I don't think there's anything modutils can do about this. Reassigning
to kernel.

Comment 6 Arjan van de Ven 2001-03-21 13:14:36 UTC
Fix is in latest kernels (0.1.29)


Note You need to log in before you can comment on or make changes to this bug.